Skip to navigation

Upload files

Upload one or more files for processing

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

applicationIdstringRequiredformat: "uuid"
The ID of the application uploading the file

Query parameters

parentFileIdstringOptionalformat: "uuid"
When provided, uploaded files are created as child files of this parent file
clientApplicationClassifierIdstringOptionalformat: "uuid"
Required when parentFileId is provided. Classifier identifier used to route child files under splitFiles

Request

This endpoint expects a multipart form with multiple files.
filefilesRequired

Response

All files uploaded successfully or some failed
list of objects
OR
object

Errors

400
Bad Request Error
500
Internal Server Error